package de.intevation.flys.artifacts.states;

import org.apache.log4j.Logger;

import de.intevation.flys.artifacts.FLYSArtifact;


/**
 * State to keep a double value and validate it against a range.
 */
public class InputDoubleState extends MinMaxState {

    private static final Logger logger = Logger.getLogger(InputDoubleState.class);


    @Override
    protected String getUIProvider() {
        return "location_panel";
    }


    @Override
    protected Object getLower(FLYSArtifact flys) {
        return 0;
    }


    @Override
    protected Object getUpper(FLYSArtifact flys) {
        return 0;
    }


    @Override
    protected String getType() {
        return "double";
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
